﻿@model IEnumerable<ExploreApilkasiCuti.Models.PengajuanDOL>

@{
    ViewBag.Title = "Pengajuan DOL";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section HeadLibrary{
    <!-- DataTables -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="~/AdminLTE//plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/toastr/toastr.min.css">

    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
     <!-- Select2 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="~/AdminLTE/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
}


<!-- Main content -->
<div class="card">
    <div class="card-header">
        <h2 class="card-title">Pengajuan Days On Lie</h2>
    </div>

    <!-- /.card-header -->
    <div class="card-body">
        <div class="row">
            <a href="@Url.Action("Detail", "PengajuanDOL", new { id = ""})" class="btn btn-success">
                <i class="fa fa-plus-circle fa"></i>  Tambah Data
            </a>
            <div class="mt-3 col-md-12"></div>
        </div>

        <table id="dataPengajuanDOL" class="table table-bordered table-striped table-hover" role="grid" aria-describedby="dataPengajuanDOL_info">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayName("ID Pengajuan")
                    </th>
                    <th>
                        @Html.DisplayName("Tanggal Pengajuan")
                    </th>
                    <th>
                        @Html.DisplayName("Nama Karyawan")
                    </th>
                    <th>
                        @Html.DisplayName("Waktu")
                    </th>
                    <th>
                        @Html.DisplayName("Keterangan Pengajuan")
                    </th>
                    <th>
                        @Html.DisplayName("Approve Status")
                    </th>
                    <th>
                        @Html.DisplayName("Keterangan Approve")
                    </th>
                    <th>
                        @Html.DisplayName("Action")
                    </th>
                </tr>
            </thead>
        </table>

    </div>
    <!-- /.card-body -->
</div>




@section BodyLibrary{
    <!-- DataTables -->
    <script src="@Url.Content("~/AdminLTE/plugins/datatables/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>
    <!-- SweetAlert2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js")"></script>
    <!-- Toastr -->
    <script src="@Url.Content("~/AdminLTE/plugins/toastr/toastr.min.js")"></script>
    <!-- DataRender -->
    <script src="@Url.Content("~/AdminLTE/plugins/dataRender/dateTime.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/jsgrid/demos/db.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/jsgrid/jsgrid.min.js")"></script>
    <!-- Select2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/select2/js/select2.full.min.js")"></script>
    <!-- Bootstrap Switch -->
    <script src="@Url.Content("~/AdminLTE/plugins/bootstrap-switch/js/bootstrap-switch.min.js")"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="@Url.Content("~/AdminLTE/plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js")"></script>
      <!-- bootstrap color picker -->
    <script src="@Url.Content("~/AdminLTE/plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js")"></script>
  }

@section AdditionalScript{
    <script type="text/javascript">
        var save_method;
        var rowId;
        var rowName;
        var pengajuanDOLTable;

        // Accepts the epoch timestamp value and return a Date string
        function getDateString(date) {
            var dateObj = new Date(parseInt(date.substr(6)));
            return dateObj.toDateString();
        }

        jQuery(document).ready(function ($) {
                pengajuanDOLTable = $("#dataPengajuanDOL").DataTable({
                    "responsive": true,
                    "autoWidth": false,
                    "ajax": {
                        "url": '@Url.Action("GetDatatableAll")',
                        "type": "POST",
                        "datatype": "JSON"
                    },
                    "columns": [
                        { "data": "id_pengajuan", "name": "id_pengajuan", "autoWitdh": true },
                        //{ "data": "tgl_pengajuan", "name": "tgl_pengajuan", "autoWitdh": true },
                        {
                            "data": "tgl_pengajuan", "name": "tgl_pengajuan", "autoWitdh": true, render: function (data, type, row) {//data
                                return moment(data).format("DD-MM-YYYY");
                            }
                        },
                        { "data": "nama", "name": "nama", "autoWidth": true },
                        { "data": "durasi", "name": "durasi", "autoWitdh": true },
                        { "data": "keterangan_pengajuan", "name": "keterangan_pengajuan", "autoWitdh": true },
                        { "data": "approve_status", "name": "approve_status", "autoWitdh": true },
                        { "data": "keterangan_approve", "name": "keterangan_approve", "autoWitdh": true },
                        {
                            data: null, render: function (data, type, row) {
                                return '<button type="button" data-toggle="modal" class="btn btn-sm btn-icon btn-icon rounded-circle bg-gradient-primary waves-effect waves-light" style="margin-right: 5px;" onclick="detail_pengajuan(\'' + data.id_pengajuan + '\')"><i class="fas fa-eye"></i></button>'

                            }

                        },
                    ],

                });

        });
        function convertDate(data) {
            var getdate = parseInt(data.replace("/Date(", "").replace(")/", ""));
            var ConvDate = new Date(getdate);
            return ConvDate.getDate() + "/" + ConvDate.getMonth() + "/" + ConvDate.getFullYear();
        }
        function detail_pengajuan(rowId) {
            var url = '@Url.Action("Detail", "PengajuanDOL", new { id = "rowId", destination = "Detail"})';//new { id = "rowId", action = "action" })';
            window.location.href = url.replace('rowId', rowId);
        }
    </script>
}

